| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Enumerations | Functions
next_tvb.h File Reference
`#include "ws_symbol_export.h"`
`#include <epan/packet.h>`

Go to the source code of this file.

## Classes
struct | next_tvb_item
| A single queued subdissector call, forming a node in a next_tvb_list_t. More...
struct | next_tvb_list_t
| A doubly-linked list of queued subdissector calls with a shared memory pool. More...

## Macros
#define | NTVB_PORT NTVB_UINT
| Backward-compatibility alias; use NTVB_UINT for port-based table lookups.

## Typedefs
typedef struct next_tvb_item | next_tvb_item_t
| A single queued subdissector call, forming a node in a next_tvb_list_t.

## Enumerations
enum | next_tvb_call_e { NTVB_HANDLE , NTVB_UINT , NTVB_STRING }
| Discriminator indicating how a queued subdissector is to be invoked. More...

## Functions
WS_DLL_PUBLIC next_tvb_list_t * | next_tvb_list_new (wmem_allocator_t *pool)
| Create a new list for managing TVB items.
WS_DLL_PUBLIC void | next_tvb_add_handle (next_tvb_list_t *list, tvbuff_t *tvb, proto_tree *tree, dissector_handle_t handle)
| Adds a dissector handle to the list.
WS_DLL_PUBLIC void | next_tvb_add_uint (next_tvb_list_t *list, tvbuff_t *tvb, proto_tree *tree, dissector_table_t table, uint32_t uint_val)
| Adds a uint value to the list.
WS_DLL_PUBLIC void | next_tvb_add_string (next_tvb_list_t *list, tvbuff_t *tvb, proto_tree *tree, dissector_table_t table, const char *string)
| Adds a string to the list.
WS_DLL_PUBLIC void | next_tvb_call (next_tvb_list_t *list, packet_info *pinfo, proto_tree *tree, dissector_handle_t handle, dissector_handle_t data_handle)
| Calls the dissector for each item in the list.

## Detailed Description

Definitions for "next tvb" list

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Enumeration Type Documentation

## ◆ next_tvb_call_e

enum next_tvb_call_e

Discriminator indicating how a queued subdissector is to be invoked.

Enumerator
NTVB_HANDLE | Invoke a subdissector directly via a dissector_handle_t
NTVB_UINT | Look up and invoke a subdissector from a table using an unsigned integer key
NTVB_STRING | Look up and invoke a subdissector from a table using a string key

## Function Documentation

## ◆ next_tvb_add_handle()

WS_DLL_PUBLIC void next_tvb_add_handle | ( | next_tvb_list_t * | list,
|  | tvbuff_t * | tvb,
|  | proto_tree * | tree,
|  | dissector_handle_t | handle )

Adds a dissector handle to the list.

Parameters

  list | The next_tvb_list_t structure where the item will be added.
  tvb | The tvbuff_t structure associated with the item.
  tree | The proto_tree structure associated with the item.
  handle | The dissector_handle_t to be added.

## ◆ next_tvb_add_string()

WS_DLL_PUBLIC void next_tvb_add_string | ( | next_tvb_list_t * | list,
|  | tvbuff_t * | tvb,
|  | proto_tree * | tree,
|  | dissector_table_t | table,
|  | const char * | string )

Adds a string to the list.

Parameters

  list | The next_tvb_list_t structure where the item will be added.
  tvb | The tvbuff_t structure associated with the item.
  tree | The proto_tree structure associated with the item.
  table | The dissector_table_t to be used.
  string | The const char* string to be added.

## ◆ next_tvb_add_uint()

WS_DLL_PUBLIC void next_tvb_add_uint | ( | next_tvb_list_t * | list,
|  | tvbuff_t * | tvb,
|  | proto_tree * | tree,
|  | dissector_table_t | table,
|  | uint32_t | uint_val )

Adds a uint value to the list.

Parameters

  list | The next_tvb_list_t structure where the item will be added.
  tvb | The tvbuff_t structure associated with the item.
  tree | The proto_tree structure associated with the item.
  table | The dissector_table_t to be used.
  uint_val | The uint32_t value to be added.

## ◆ next_tvb_call()

WS_DLL_PUBLIC void next_tvb_call | ( | next_tvb_list_t * | list,
|  | packet_info * | pinfo,
|  | proto_tree * | tree,
|  | dissector_handle_t | handle,
|  | dissector_handle_t | data_handle )

Calls the dissector for each item in the list.

Parameters

  list | The next_tvb_list_t structure containing the items.
  pinfo | The packet_info structure for the current packet.
  tree | The proto_tree structure associated with the item.
  handle | The dissector_handle_t to be called.
  data_handle | The dissector_handle_t for the data dissector.

## ◆ next_tvb_list_new()

WS_DLL_PUBLIC next_tvb_list_t * next_tvb_list_new | ( | wmem_allocator_t * | pool | ) |

Create a new list for managing TVB items.

Parameters

  pool | Memory allocator to use for allocating the list.

Returns
  Pointer to the newly created next_tvb_list_t structure.